Subject: Re: [Fwd: [Megaco] [Fwd: Question on terminationId]]

From: Terry L Anderson <[email-masked]>
Date: Mon, 20 Aug 2001 11:00:39 -0400

Sounds a lot like old DOS filename convention.  A lot of languages and
protocols require names to use ALPHA as first character to make parsing
difference between a literal value and a variable name easier, but since we
do not support named variables in locations that accept values I am not
sure I know of a strong reason here.  I think following this tradition may
still make it more human readable.

I don't know why '.' was disallowed.

Perhaps some of those that written parsers can speak to whether this helped
solve any parsing problems.

This is not a restriction specifically for terminationID.  It applies to
all productions using NAME such as property names, PackageName (and hense
pkgdName), ItemIDs, signalName, etc.  And it may be an advantage to keep
this consistent name syntax, rather than have terminationID have a distinct
rule.

Christian Groves wrote:

> G'Day Terry,
>
> Any thoughts on below?
>
> Christian
>
> -------- Original Message --------
> Subject: [Megaco] [Fwd: Question on terminationId]
> Date: Mon, 13 Aug 2001 11:05:46 +1000
> From: Christian Groves <[email-masked]>
> To: megaco ietf <[email-masked]>
>
> G'Day,
>
> An email from a colleague below points out that "." is not valid in the
> local part of a termination ID. Was this omission from the ABNF on
> purpose?
>
> Another thing I noticed was that NAME must begin with an ALPHA is this
> desirable also?
>
> Cheers, Christian
>
> -------- Original Message --------
> Subject: Question on terminationId
> Date: Fri, 10 Aug 2001 15:44:11 +0300
> From: Christer Holmberg <[email-masked]>
> To: [email-masked]
>
> Hi,
>
> The spec says:
>
> TerminationID = "ROOT" / pathNAME / "$" / "*"
>
> pathNAME = ["*"] NAME *("/" / "*" / ALPHA / DIGIT / "_" / "$" )
>            ["@" pathDomainName ]
>
> NAME = ALPHA *63(ALPHA / DIGIT / "_" )
>
> Now, according to my understanding the following TerminationID is not
> allowed: J7.1/myMG (the '.' is not allowed)
>
> Am I correct?
>
> Regards,
>
> Christer Holmberg (lmfchh)
>
> _______________________________________________
> Megaco mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/megaco

--
Waiting for the other shoe to drop but hoping its a one legged man.
------------------------------------------------------------
Terry L Anderson              mailto:[email-masked]
Tel:908.582.7013   Fax:908.582.6729
Lucent Technologies/INS/Voice Over IP Access Networks
Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla